## python-renault-api 0.2.5

=== docs/requirements.txt ===
sphinx==7.3.7
sphinx-click==6.0.0
sphinx-rtd-theme==2.0.0
click==8.1.7
tabulate==0.9.0
dateparser==1.2.0

=== debian/changelog ===
python-renault-api (0.2.5-2) unstable; urgency=medium

  * Drop python3-six dependency (Closes: #1077621)

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:51:56 +0900

python-renault-api (0.2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1077006)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 16:34:38 +0900

=== debian/control ===
Source: python-renault-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-aioresponses <!nocheck>,
               python3-all,
               python3-click <!nocheck>,
               python3-dateparser <!nocheck>,
               python3-jwt <!nocheck>,
               python3-marshmallow <!nocheck>,
               python3-marshmallow-dataclass <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-tabulate <!nocheck>,
               python3-typeguard <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/hacf-fr/renault-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-renault-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-renault-api.git

Package: python3-renault-api
Architecture: all
Depends: python3-aiohttp,
         python3-cryptography,
         python3-jwt,
         python3-marshmallow-dataclass,
         python3:any,
         ${misc:Depends}
Description: Python library for interacting with the Renault API
 This library facilitates communication with the private Renault API used by
 the MyRenault application. It enables users to read various vehicle attributes
 such as mileage, GPS location, fuel economy for fuel vehicles, and battery
 economy for electric vehicles. The library also allows managing vehicle
 features like HVAC/pre-conditioning and charge schedules for specific models.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=renault-api

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf renault_api.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-aiohttp,
         python3-aioresponses,
         python3-all,
         python3-click,
         python3-dateparser,
         python3-jwt,
         python3-marshmallow,
         python3-marshmallow-dataclass,
         python3-pytest,
         python3-pytest-asyncio,
         python3-tabulate,
         python3-typeguard,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-renault-api-$1\.tar\.gz/ \
  https://github.com/hacf-fr/renault-api/tags .*/v?(\d\S+)\.tar\.gz

## python-renault-api 0.2.7

=== docs/requirements.txt ===
sphinx==7.4.7
sphinx-click==6.0.0
sphinx-rtd-theme==2.0.0
click==8.1.7
tabulate==0.9.0
dateparser==1.2.0

=== debian/changelog ===
python-renault-api (0.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Fri, 11 Oct 2024 14:57:15 +0100

=== debian/control ===
Source: python-renault-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-click <!nocheck>,
 python3-dateparser <!nocheck>,
 python3-jwt <!nocheck>,
 python3-marshmallow <!nocheck>,
 python3-marshmallow-dataclass <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-tabulate <!nocheck>,
 python3-typeguard <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/hacf-fr/renault-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-renault-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-renault-api.git

Package: python3-renault-api
Architecture: all
Depends:
 python3-aiohttp,
 python3-cryptography,
 python3-jwt,
 python3-marshmallow-dataclass,
 python3:any,
 ${misc:Depends},
Description: Python library for interacting with the Renault API
 This library facilitates communication with the private Renault API used by
 the MyRenault application. It enables users to read various vehicle attributes
 such as mileage, GPS location, fuel economy for fuel vehicles, and battery
 economy for electric vehicles. The library also allows managing vehicle
 features like HVAC/pre-conditioning and charge schedules for specific models.

## python-renault-api 0.2.9

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx-click==6.0.0
sphinx-rtd-theme==3.0.2
click==8.1.8
tabulate==0.9.0
dateparser==1.2.0

=== debian/changelog ===
python-renault-api (0.2.9-2) unstable; urgency=medium

  * Patch test to work with latest version of click library.
    (Closes: #1098609)
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sat, 22 Feb 2025 14:30:43 -0500

python-renault-api (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Simplify debian/watch.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Jan 2025 14:18:48 -0600

python-renault-api (0.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 21 Dec 2024 23:02:20 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-tabulate <!nocheck>,
  python3-typeguard <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/hacf-fr/renault-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-renault-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-renault-api.git

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-aiohttp,
 python3-aioresponses,
 python3-all,
 python3-click,
 python3-dateparser,
 python3-jwt,
 python3-marshmallow,
 python3-marshmallow-dataclass,
 python3-pytest,
 python3-pytest-asyncio,
 python3-tabulate,
 python3-typeguard,
 @,

## python-renault-api 0.2.10

=== debian/changelog ===
python-renault-api (0.2.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch to test suite added in previous upload, no longer required.
  * Update Standards-Version.
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Mar 2025 11:25:34 +0000

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
  python3-tabulate <!nocheck>,
  python3-typeguard <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/hacf-fr/renault-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-renault-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-renault-api.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-renault-api
 Architecture: all

## python-renault-api 0.3.1

=== docs/requirements.txt ===
sphinx==7.4.7
sphinx-click==6.0.0
sphinx-rtd-theme==3.0.2
click==8.1.8
tabulate==0.9.0
dateparser==1.2.1

=== debian/changelog ===
python-renault-api (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 11 May 2025 10:51:54 +0300

python-renault-api (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build dependency for syrupy, needed for tests.

 -- Edward Betts <edward@4angle.com>  Sat, 03 May 2025 16:01:59 +0300

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-marshmallow-dataclass <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
+ python3-syrupy <!nocheck>,
  python3-tabulate <!nocheck>,
  python3-typeguard <!nocheck>,
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://github.com/hacf-fr/renault-api/tags .*/v?(\d\S+)\.tar\.gz

## python-renault-api 0.4.0

=== debian/changelog ===
python-renault-api (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 06 Sep 2025 14:12:24 +0100

## python-renault-api 0.4.1

=== docs/requirements.txt ===
sphinx==7.4.7
sphinx-click==6.0.0
sphinx-rtd-theme==3.0.2
click==8.1.8
tabulate==0.9.0
dateparser==1.2.2

=== debian/changelog ===
python-renault-api (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Thu, 02 Oct 2025 21:22:08 +0100

## python-renault-api 0.4.4

=== docs/requirements.txt ===
sphinx==7.4.7
sphinx-click==6.1.0
sphinx-rtd-theme==3.0.2
click==8.3.0
tabulate==0.9.0
dateparser==1.2.2

=== debian/changelog ===
python-renault-api (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Oct 2025 18:20:11 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-syrupy <!nocheck>,
  python3-tabulate <!nocheck>,
  python3-typeguard <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/hacf-fr/renault-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-renault-api

=== debian/watch ===
Version: 5

Template: Github
Owner: hacf-fr
Project: renault-api

## python-renault-api 0.5.0

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx-click==6.1.0
sphinx-rtd-theme==3.0.2
click==8.3.0
tabulate==0.9.0
dateparser==1.2.2

=== debian/changelog ===
python-renault-api (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 31 Oct 2025 07:43:52 +0000

## python-renault-api 0.5.2

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx-click==6.1.0
sphinx-rtd-theme==3.0.2
click==8.3.1
tabulate==0.9.0
dateparser==1.2.2

=== debian/changelog ===
python-renault-api (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 20:55:16 +0000

## python-renault-api 0.5.3

=== docs/requirements.txt ===
furo==2025.12.19
sphinx==9.1.0
sphinx-click==6.2.0
myst_parser==5.0.0

=== debian/changelog ===
python-renault-api (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Feb 2026 11:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -23,7 +22,7 @@
  python3-syrupy <!nocheck>,
  python3-tabulate <!nocheck>,
  python3-typeguard <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/hacf-fr/renault-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-renault-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-renault-api.git

## python-renault-api 0.5.5

=== debian/changelog ===
python-renault-api (0.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 25 Feb 2026 08:53:53 +0000
